//APIIP
function appConfig() {
    return "http://117.22.254.106:8088/";
    // return "http://192.168.10.44:8088/";    
    // return "http://192.168.2.4:8088/";    
    // return "http://localhost:20100/";                
}

/**
 * @description 获取当前Url地址中的参数
 * @param {String} name 参数名称
 * @param {Bool} b 是否进行转码
 */
function GetQueryString(name, b) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
    var r = window.location.search.substr(1).match(reg);
    if(r != null) return b ? decodeURI(r[2]) : unescape(r[2]);
    return null;
}
//复制文件
function copyText(copy_content) {
    if(copy_content == null || copy_content == "")
        return;
    mui.plusReady(function() {
        //判断是安卓还是ios
        if(mui.os.ios) {
            //ios
            var UIPasteboard = plus.ios.importClass("UIPasteboard");
            var generalPasteboard = UIPasteboard.generalPasteboard();
            //设置/获取文本内容:
            generalPasteboard.plusCallMethod({
                setValue: copy_content,
                forPasteboardType: "public.utf8-plain-text"
            });
            generalPasteboard.plusCallMethod({
                valueForPasteboardType: "public.utf8-plain-text"
            });
        } else {
            //安卓
            var context = plus.android.importClass("android.content.Context");
            var main = plus.android.runtimeMainActivity();
            var clip = main.getSystemService(context.CLIPBOARD_SERVICE);
            plus.android.invoke(clip, "setText", copy_content);
        }
        mui.toast("“" + copy_content + "”已复制");
    });
}

//产生随机数函数
function RndNum(n) {
    var rnd = "";
    for(var i = 0; i < n; i++)
        rnd += Math.floor(Math.random() * 10);
    return rnd;
}

/**
 * @description 获打开窗口
 * @param {String} url 地址
 */
function openWin(url) {
    if(url != null && url != "") {
        mui.openWindow(url);
    }
};

function encodeUnicode(str) {
    var res = [];
    for(var i = 0; i < str.length; i++) {
        res[i] = ("00" + str.charCodeAt(i).toString(16)).slice(-4);
    }
    return "\\u" + res.join("\\u");
}

// 解码  
function decodeUnicode(str) {
    str = str.replace(/\\/g, "%");
    return unescape(str);
}